package net.northking.cctp.upperComputer.entity;


import java.io.Serializable;
import java.util.LinkedHashMap;

public class DeviceInfoDto implements Serializable {

    private CdDeviceCtrl cdDeviceCtrl;

    private CdMobileDevice cdMobileDevice;

    private String token;

    private CdPcDevice cdPcDevice;

    private CdEngineInfo engineInfo;

    private CdMobileBrand cdMobileBrand;

    private CdDeviceModel cdDeviceModel;

    public CdMobileBrand getCdMobileBrand() {
        return cdMobileBrand;
    }

    public void setCdMobileBrand(CdMobileBrand cdMobileBrand) {
        this.cdMobileBrand = cdMobileBrand;
    }

    public CdDeviceModel getCdDeviceModel() {
        return cdDeviceModel;
    }

    public void setCdDeviceModel(CdDeviceModel cdDeviceModel) {
        this.cdDeviceModel = cdDeviceModel;
    }

    private LinkedHashMap<String, Object> deviceInfo;

    public LinkedHashMap<String, Object> getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(LinkedHashMap<String, Object> deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getStfAddr() {
        return stfAddr;
    }

    public void setStfAddr(String stfAddr) {
        this.stfAddr = stfAddr;
    }

    private String stfAddr;

    public CdEngineInfo getEngineInfo() {
        return engineInfo;
    }

    public void setEngineInfo(CdEngineInfo engineInfo) {
        this.engineInfo = engineInfo;
    }

    public CdPcDevice getCdPcDevice() {
        return cdPcDevice;
    }

    public void setCdPcDevice(CdPcDevice cdPcDevice) {
        this.cdPcDevice = cdPcDevice;
    }

    public CdDeviceCtrl getCdDeviceCtrl() {
        return cdDeviceCtrl;
    }

    public void setCdDeviceCtrl(CdDeviceCtrl cdDeviceCtrl) {
        this.cdDeviceCtrl = cdDeviceCtrl;
    }

    public CdMobileDevice getCdMobileDevice() {
        return cdMobileDevice;
    }

    public void setCdMobileDevice(CdMobileDevice cdMobileDevice) {
        this.cdMobileDevice = cdMobileDevice;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
